List/search items

This fetches many item objects, filtered based on optional criteria.

Searchable fields:

  • item_no
  • title
  • description
  • price
  • bookkeeping:income_account
  • bookkeeping:vat_account

Special filters:

  • search: Perform a full text search across several fields at once

Orderable fields:

  • item_no
  • title
  • price
  • created_at
  • updated_at
Query Parameters
  • page
    Type: integer
    min:  
    1

    The result page number to fetch. The first page has number 1 (one).

  • page_size
    Type: integer
    min:  
    1
    max:  
    100

    How many results to return per page. Setting this number too high may impact performance, we recommend values between 10 and 100.

  • filter_type
    Type: stringenum

    Type of filtering to perform

    values
    • field
    • field-prefix
    • field-search
    • special
  • filter_field
    Type: string

    Field to filter on when using field-based filtering. Searchable fields include item_no, title, description, price, bookkeeping:income_account, bookkeeping:vat_account.

  • filter_value
    Type: string

    Value to filter by when using field-based filtering

  • order_field
    Type: string

    Field to order results by. Orderable fields include item_no, title, price, created_at, updated_at.

  • order_direction
    Type: stringenum

    Direction to order results

    values
    • asc
    • desc
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/item
curl 'https://sandbox.billogram.com/api/v2/item?page=1&page_size=25&filter_type=field&filter_field=&filter_value=&order_field=&order_direction=asc' \
  --header 'Authorization: Basic username:password'
{
  "status": "string",
  "data": [
    {
      "item_no": "207",
      "title": "Apartment cleaning",
      "description": "Vacuum cleaning floor, dusting shelves and taking out trash",
      "price": 130,
      "vat": 25,
      "zero_vat_reason": "VAT_EXEMPT",
      "zero_vat_reason_reference": "string",
      "unit": "hour",
      "bookkeeping": {
        "income_account": "302",
        "vat_account": "303"
      },
      "created_at": "2026-01-26 07:02:23",
      "updated_at": "2026-01-30 14:00:10"
    }
  ],
  "meta": {
    "total_count": 1
  }
}